Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Notify an event

Idempotency Supported

Use this API to notify Chargebee about important events that occur on your web pages, such as subscription cancellations. An event contains data about affected resources and additional details such as when the change occurred.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/hosted_pages/events

Input Parameters

event_name
required, enumerated string

The event that need to passed to a different system.

Enum Values
cancellation_page_loaded

Indicates native cancellation flow provided by the merchant is loaded rather than the retention flow.

occurred_at
optional, timestamp(UTC) in seconds

Timestamp indicating when this event had occurred. .

event_data
required, jsonobject

The meta data description of the event in key-value pair. The value is a JSON object with the following keys and their values.

  • subscription_id: A unique and immutable identifier for the subscription. .

Returns

success
required, boolean